Get lead by id
GET
/leads/{id}
const url = 'https://app.buildworkpro.com/api/v1/leads/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.buildworkpro.com/api/v1/leads/1 \ --header 'Authorization: Bearer <token>'Returns a single lead.
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ”
id
required
integer
Responses
Section titled “ Responses ”Lead
Media type
application/json
object
data
required
object
id
required
integer
name
required
string
contactId
required
integer | null
stageId
required
integer
assignedTo
required
integer | null
source
required
string | null
projectType
required
string | null
estimatedValue
required
string | null
probability
required
integer | null
description
required
string | null
siteAddress
string | null
siteCity
string | null
siteState
string | null
siteZipCode
string | null
meta
required
object
request_id
Server-generated request identifier
string
pagination
object
cursor
required
Opaque cursor for the next page; null when no more results
string | null
has_more
required
Whether more pages are available after this one
boolean
count
required
Items in this page
integer
Example generated
{ "data": { "id": 1, "name": "example", "contactId": 1, "stageId": 1, "assignedTo": 1, "source": "example", "projectType": "example", "estimatedValue": "example", "probability": 1, "expectedCloseDate": "2026-04-15T12:00:00Z", "description": "example", "siteAddress": "example", "siteCity": "example", "siteState": "example", "siteZipCode": "example", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z" }, "meta": { "request_id": "example", "pagination": { "cursor": "example", "has_more": true, "count": 1 } }}Not found
Media type
application/problem+json
object
type
required
URL identifying the problem type
string
format: uri
title
required
Short human-readable summary
string
status
required
HTTP status code
integer
detail
Human-readable explanation
string
request_id
Server-generated request identifier
string
errors
Validation error array (422 only)
Array<object>
object
field
required
Field path that failed validation
string
code
required
Validation error code
string
message
required
Human-readable validation message
string
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}